Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class NonPersistentInterceptor

    java.lang.Object
      org.jboss.mq.server.JMSServerInterceptorSupport
          org.jboss.mq.server.NonPersistentInterceptor

All Implemented Interfaces:
  JMSServerInterceptor

public class NonPersistentInterceptor
extends JMSServerInterceptorSupport

Makes all messages Non Persistent

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.mq.server.JMSServerInterceptorSupport
`log, nextInterceptor`

Constructor Summary
`NonPersistentInterceptor()`

Method Summary
`void` | `addMessage(ConnectionToken dc, SpyMessage message)` Add the message to the destination.
`protected void` | `makeNonPersistent(SpyMessage message)` Overrides the message to be Non Persistent
`void` | `transact(ConnectionToken dc, TransactionRequest t)` #Description of the Method

Methods inherited from class org.jboss.mq.server.JMSServerInterceptorSupport
`acknowledge, authenticate, browse, checkID, checkUser, connectionClosing, createQueue, createTopic, deleteTemporaryDestination, destroySubscription, getDurableTopic, getID, getNext, getSubscription, getTemporaryQueue, getTemporaryTopic, getThreadGroup, ping, receive, setEnabled, setNext, subscribe, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonPersistentInterceptor

    public NonPersistentInterceptor()

Method Detail

### addMessage

    public void addMessage(ConnectionToken dc,
                           SpyMessage message)
                    throws javax.jms.JMSException

  Description copied from class: `JMSServerInterceptorSupport`
  Add the message to the destination.

  Specified by:
    `addMessage` in interface `JMSServerInterceptor`
  Overrides:
    `addMessage` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - The feature to be added to the Message attribute
    `message` - The feature to be added to the Message attribute
  Throws:
    `javax.jms.JMSException` - Description of Exception

### transact

    public void transact(ConnectionToken dc,
                         TransactionRequest t)
                  throws javax.jms.JMSException

  Description copied from class: `JMSServerInterceptorSupport`
  #Description of the Method

  Specified by:
    `transact` in interface `JMSServerInterceptor`
  Overrides:
    `transact` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `t` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### makeNonPersistent

    protected void makeNonPersistent(SpyMessage message)
                              throws javax.jms.JMSException

  Overrides the message to be Non Persistent

  Parameters:
    `message` - the message
  Throws:
    `javax.jms.JMSException` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.